UNW\_GET\_PROC\_INFO\_IN\_RANGE(3libunwind)

NAME
unw_get_proc_info_in_range -- get procedure info in IP range and a frame index table

SYNOPSIS

#include <libunwind.h>

int unw_get_proc_info_in_range(unw_word_t start_ip, unw_word_t end_ip, unw_word_t eh_frame_table, unw_word_t eh_frame_table_len, unw_word_t exidx_frame_table, unw_word_t exidx_frame_table_len,, unw_addr_space_t *as, void *arg);

DESCRIPTION

The unw_get_proc_info_in_range() routine returns the same kind of auxiliary information about a procedure as unw_get_proc_info_by_ip(), except that the info is looked up in instruction pointer (IP) range and frame table instead of just at IP. This is equally flexible because it is possible to look up the info for an arbitrary procedure, even if it is not part of the current call chain. However, since it is more flexible, it also tends to run slower (and often much slower) than unw_get_proc_info().

RETURN VALUE

On successful completion, unw_get_proc_info_in_range() returns 0. Otherwise the negative value of one of the error-codes below is returned.

THREAD AND SIGNAL SAFETY

unw_get_proc_info_in_range() is thread safe. If the local address space is passed in argument as, this routine is also safe to use from a signal handler.

ERRORS

UNW_EUNSPEC
     An unspecified error occurred.

UNW_ENOINFO
     Libunwind was unable to locate unwind-info for the procedure.

UNW_EBADVERSION
     The unwind-info for the procedure has version or format that is not understood by libunwind.

UNW_EINVAL
     An unsupported table encoding was specified.

In addition, unw_get_proc_info_by_ip() may return any error returned by the access_mem() callback (see unw_create_addr_space(3libunwind)).

SEE ALSO

libunwind(3libunwind), unw_get_proc_info_in_range(3libunwind), unw_create_addr_space(3libunwind), unw_get_proc_name(3libunwind), unw_get_proc_info(3libunwind)

AUTHOR

David Mosberger-Tang
Email: dmosberger@gmail.com
WWW: http://www.nongnu.org/libunwind/.